<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.3.6.1.4.1.19376.1.3.1.6
Name: IHE Laboratory Observation
Description: The document SHALL contain at least one Laboratory Observation (See REFERENCE) under the Specimen Act of each Laboratory Data Processing Entry (See REFERENCE). The Laboratory Observation SHALL record a single laboratory observation in the document, either standalone or as part of a battery. It should be distinguished from the PCC Simple Observation template.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000">
   <title>IHE Laboratory Observation</title>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]"
         id="tmp-r-3fe710fc-e319-47ee-a1fb-0fa4033120b2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])&gt;=1 and not(hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']])&lt;=1">(ihe-LaboratoryObservation): element hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]"
         id="tmp-r-c502ebe8-b471-44f4-b0c6-e7f4bd784446">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='OBS'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'])&lt;=1">(ihe-LaboratoryObservation): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(ihe-LaboratoryObservation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(ihe-LaboratoryObservation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor])&gt;=1 ">(ihe-LaboratoryObservation): element hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor])&lt;=1">(ihe-LaboratoryObservation): element hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(ihe-LaboratoryObservation): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(ihe-LaboratoryObservation): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode)&lt;=1">(ihe-LaboratoryObservation): element hl7:interpretationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:methodCode)&lt;=1">(ihe-LaboratoryObservation): element hl7:methodCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:subject)&lt;=1">(ihe-LaboratoryObservation): element hl7:subject komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimen)&lt;=1">(ihe-LaboratoryObservation): element hl7:specimen komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:performer)&lt;=1">(ihe-LaboratoryObservation): element hl7:performer komt te vaak voor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:participant[@typeCode='AUTHEN']|hl7:participant[@typeCode='RESP']|hl7:participant[@typeCode='DEV'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="$elmcount&lt;=3">(ihe-LaboratoryObservation): keuze (hl7:participant[@typeCode='AUTHEN'] of hl7:participant[@typeCode='RESP'] of hl7:participant[@typeCode='DEV']) bevat te veel elementen [max 3x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='AUTHEN'])&lt;=1">(ihe-LaboratoryObservation): element hl7:participant[@typeCode='AUTHEN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='RESP'])&lt;=1">(ihe-LaboratoryObservation): element hl7:participant[@typeCode='RESP'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:participant[@typeCode='DEV'])&lt;=1">(ihe-LaboratoryObservation): element hl7:participant[@typeCode='DEV'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:referenceRange)&lt;=1">(ihe-LaboratoryObservation): element hl7:referenceRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']"
         id="tmp-r-9901e166-3ab4-4f57-bb95-c1b94a8d82ac">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.6'">(ihe-LaboratoryObservation): de waarde van @root MOET '1.3.6.1.4.1.19376.1.3.1.6' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:id
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:id"
         id="tmp-r-1c1ba2ac-9e0b-45c9-b2e8-b45decd93eb2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:code"
         id="tmp-r-9ef18b94-4997-40ee-8b53-985358b154ae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:statusCode[@code='completed' or @code='aborted' or @nullFlavor]"
         id="tmp-r-bbc99274-286e-467c-8671-30253c796d65">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="@nullFlavor or (@code='completed') or (@code='aborted')">(ihe-LaboratoryObservation): de elementwaarde MOET zijn code 'completed' of code 'aborted'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:effectiveTime
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:effectiveTime"
         id="tmp-r-ff802eb5-8cd1-4a3f-967d-6e7278242355">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:value"
         id="tmp-r-96f4253b-4755-4e75-b052-cf3d74ba1d18">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ANY' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ANY" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ANY"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:interpretationCode
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:interpretationCode"
         id="tmp-r-33d29b70-135f-403c-875a-d8618d77ba74">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:methodCode
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:methodCode"
         id="tmp-r-7e697c99-6ba3-464e-9ee7-989870f4b4e9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:subject
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:subject"
         id="tmp-r-867fe0ac-4e12-435d-b549-4efbe8be1148">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='SBJ'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'SBJ' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen"
         id="tmp-r-4d851dcb-8515-483c-9f11-d818f8139dae">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='SPC'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'SPC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenRole)&lt;=1">(ihe-LaboratoryObservation): element hl7:specimenRole komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole"
         id="tmp-r-ab503082-cedc-4313-a9de-c6644c243d2c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='SPEC'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'SPEC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:id)&lt;=1">(ihe-LaboratoryObservation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity)&gt;=1 ">(ihe-LaboratoryObservation): element hl7:specimenPlayingEntity is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:specimenPlayingEntity)&lt;=1">(ihe-LaboratoryObservation): element hl7:specimenPlayingEntity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:productOf)&lt;=1">(ihe-LaboratoryObservation): element lab:productOf komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/hl7:id
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/hl7:id"
         id="tmp-r-394c5ffd-11a5-4eb9-865c-17ffb822056a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity"
         id="tmp-r-e22b3d88-8248-4117-9592-dc1a835d43ab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:code)&lt;=1">(ihe-LaboratoryObservation): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/hl7:specimenPlayingEntity/hl7:code"
         id="tmp-r-1c31c5e3-c62e-4ef9-9534-ccea27924f0d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf"
         id="tmp-r-1fc6d882-4af0-4b5c-a937-f85f342f2231">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='PRD'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure"
         id="tmp-r-55fd9f71-fabc-4a7e-ba7b-b485de8af975">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='PROC'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&lt;=1">(ihe-LaboratoryObservation): element lab:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:effectiveTime)&gt;=1 and not(lab:effectiveTime/@nullFlavor)">(ihe-LaboratoryObservation): element lab:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:effectiveTime)&lt;=1">(ihe-LaboratoryObservation): element lab:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:code"
         id="tmp-r-4d6e61a0-9ab3-4117-8dc5-69fad58220ba">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:effectiveTime
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:effectiveTime"
         id="tmp-r-2a52c3d1-8278-46aa-bc65-3a88af7e8e00">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:targetSiteCode
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:specimen/hl7:specimenRole/lab:productOf/lab:procedure/lab:targetSiteCode"
         id="tmp-r-3abc106f-87e1-412a-8f33-f5ccbad8de71">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:performer
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:performer"
         id="tmp-r-82125c1e-dda9-41bb-880c-f9610868ed89">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='PRF'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:author
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:author"
         id="tmp-r-cb338825-a150-4bc7-87ec-c78485e1e3dd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='AUT'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'AUT' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:participant[@typeCode='AUTHEN']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:participant[@typeCode='AUTHEN']"
         id="tmp-r-c7945a22-4d60-45a2-9e0f-359a1c525c60">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='AUTHEN'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'AUTHEN' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:participant[@typeCode='RESP']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:participant[@typeCode='RESP']"
         id="tmp-r-493aa6ca-fe53-4597-9c07-c1bb00d64afa">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='RESP'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'RESP' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:participant[@typeCode='DEV']
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:participant[@typeCode='DEV']"
         id="tmp-r-f46f8009-6036-4858-8840-b9c9e0f9e0b4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='DEV'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'DEV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[@typeCode='COMP']
Item: (ihe-LaboratoryObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[@typeCode='COMP']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='COMP'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[@typeCode='REFR']
Item: (ihe-LaboratoryObservation)
-->
   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:entryRelationship[@typeCode='REFR']">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='REFR'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange"
         id="tmp-r-34622393-f02e-4f80-95ac-636ebac9ccda">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='REFV'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'REFV' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observationRange)&gt;=1 and not(hl7:observationRange/@nullFlavor)">(ihe-LaboratoryObservation): element hl7:observationRange is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:observationRange)&lt;=1">(ihe-LaboratoryObservation): element hl7:observationRange komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange"
         id="tmp-r-8bb50775-389e-41f8-a3f5-812de9d3bbd2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='OBS'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN.CRT'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN.CRT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:value)&lt;=1">(ihe-LaboratoryObservation): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor])&gt;=1 ">(ihe-LaboratoryObservation): element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor])&lt;=1">(ihe-LaboratoryObservation): element hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/hl7:value
Item: (ihe-LaboratoryObservation)
-->

   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor]
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/hl7:interpretationCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.83') or @nullFlavor]"
         id="tmp-r-fdfa7ace-4d19-4a70-b084-e7eca2096a5c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.83')">(ihe-LaboratoryObservation): de elementwaarde MOET zijn code 'N' codeSystem '2.16.840.1.113883.5.83'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition"
         id="tmp-r-0168c3a2-2fd6-44af-9ab1-68d1575d5adb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@typeCode)='PRCN'">(ihe-LaboratoryObservation): de waarde van @typeCode MOET 'PRCN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:criterion)&gt;=1 ">(ihe-LaboratoryObservation): element lab:criterion is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:criterion)&lt;=1">(ihe-LaboratoryObservation): element lab:criterion komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion"
         id="tmp-r-64ea2d12-8714-45e4-a26c-ec44c5552cd6">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@classCode)='COND'">(ihe-LaboratoryObservation): de waarde van @classCode MOET 'COND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="string(@moodCode)='EVN'">(ihe-LaboratoryObservation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&gt;=1 ">(ihe-LaboratoryObservation): element lab:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:code)&lt;=1">(ihe-LaboratoryObservation): element lab:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:value)&gt;=1 ">(ihe-LaboratoryObservation): element lab:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="count(lab:value)&lt;=1">(ihe-LaboratoryObservation): element lab:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:code
Item: (ihe-LaboratoryObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:code"
         id="tmp-r-bba35aa5-2cf9-44f9-b813-d22429333ae4">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-1.3.6.1.4.1.19376.1.3.1.6-2008-08-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ihe-LaboratoryObservation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.3.6.1.4.1.19376.1.3.1.6
Context: *[hl7:observation[hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:observation[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.6']]/hl7:referenceRange/hl7:observationRange/lab:precondition/lab:criterion/lab:value
Item: (ihe-LaboratoryObservation)
-->
</pattern>
