<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Name: VZVZ Generieke Query Zorggegevens
Description: Generieke Query Zorggegevens 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000">
   <title>VZVZ Generieke Query Zorggegevens</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/" id="tmp-r-561c3f36-caf4-41e3-9b8a-bb5163cd2cc8">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:GQZG_IN000001NL)&gt;=1 ">(generiekeQueryZorggegevens): element hl7:GQZG_IN000001NL is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:GQZG_IN000001NL)&lt;=1">(generiekeQueryZorggegevens): element hl7:GQZG_IN000001NL komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL"
         id="tmp-r-e96e8ebd-83f5-45dd-8b08-96996368bb4f">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(generiekeQueryZorggegevens): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess"
         id="tmp-r-0ae1c202-0b74-4cb1-ad21-d8e2c4e68d03">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(generiekeQueryZorggegevens): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:queryByParameter)&gt;=1 and not(hl7:queryByParameter/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:queryByParameter is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:queryByParameter)&lt;=1">(generiekeQueryZorggegevens): element hl7:queryByParameter komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter"
         id="tmp-r-dc0f7df9-a5d4-4b3f-8132-32c474342d8e">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:queryId)&gt;=1 and not(hl7:queryId/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:queryId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:queryId)&lt;=1">(generiekeQueryZorggegevens): element hl7:queryId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&gt;=1 and not(hl7:statusCode[@code='executing']/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:statusCode[@code='executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code='executing'])&lt;=1">(generiekeQueryZorggegevens): element hl7:statusCode[@code='executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&gt;=1 and not(hl7:responseModalityCode[@code='R']/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:responseModalityCode[@code='R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code='R'])&lt;=1">(generiekeQueryZorggegevens): element hl7:responseModalityCode[@code='R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&gt;=1 and not(hl7:responsePriorityCode[@code='I']/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:responsePriorityCode[@code='I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code='I'])&lt;=1">(generiekeQueryZorggegevens): element hl7:responsePriorityCode[@code='I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&gt;=1 and not(hl7:executionAndDeliveryTime/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:executionAndDeliveryTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime)&lt;=1">(generiekeQueryZorggegevens): element hl7:executionAndDeliveryTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:patientId)&gt;=1 and not(hl7:patientId/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:patientId is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:patientId)&lt;=1">(generiekeQueryZorggegevens): element hl7:patientId komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:contextCode)&gt;=1 and not(hl7:contextCode/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:contextCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:contextCode)&lt;=1">(generiekeQueryZorggegevens): element hl7:contextCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:availabiltyTime)&lt;=1">(generiekeQueryZorggegevens): element hl7:availabiltyTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:applicationID)&lt;=1">(generiekeQueryZorggegevens): element hl7:applicationID komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:queryId"
         id="tmp-r-96fc58c4-048f-4c34-8fa0-a786f5b2349c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:statusCode[@code='executing']"
         id="tmp-r-4188a7cb-5693-4039-b56d-36a389683edd">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(generiekeQueryZorggegevens): de elementwaarde MOET zijn code 'executing'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='R']
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responseModalityCode[@code='R']"
         id="tmp-r-123bc8db-0efb-4cd1-8509-d239056813d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(generiekeQueryZorggegevens): de elementwaarde MOET zijn code 'R'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:responsePriorityCode[@code='I']"
         id="tmp-r-0621b584-3daf-44c3-a03e-6dacabfb4bbe">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(generiekeQueryZorggegevens): de elementwaarde MOET zijn code 'I'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:executionAndDeliveryTime"
         id="tmp-r-82cc2f79-4004-486b-ad51-5e667c2fb2e2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId"
         id="tmp-r-b14639dd-73e4-435d-b159-0436a2e75a78">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(generiekeQueryZorggegevens): element hl7:value[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:patientId/hl7:value[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-f9fb0997-c1c4-4a5d-92a0-1dec21d16033">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(generiekeQueryZorggegevens): de waarde van @root MOET '2.16.840.1.113883.2.4.6.3' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:contextCode
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:contextCode"
         id="tmp-r-ccb90bef-d429-47c7-8e0b-cde584babe55">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(generiekeQueryZorggegevens): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:contextCode/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:contextCode/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-78e27d7a-6272-4d0e-971d-ba7659ffaaeb">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(generiekeQueryZorggegevens): de elementwaarde MOET zijn AORTAContextCode AORTA Context Code (DYNAMISCH).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.2.4.3.11.60.66.11.116-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(generiekeQueryZorggegevens): de nulwaarde '<value-of select="@nullFlavor"/>' voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardelijst AORTAContextCode AORTA Context Code (DYNAMISCH).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime"
         id="tmp-r-4d4977e1-4be9-4efa-8327-8dcce0e830b9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value)&lt;=1">(generiekeQueryZorggegevens): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime/hl7:value
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime/hl7:value"
         id="tmp-r-0998b1b3-6eee-4ef4-9108-1d2a68774124">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:low is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:low)&lt;=1">(generiekeQueryZorggegevens): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:high)=0">(generiekeQueryZorggegevens): element hl7:high MAG NIET voorkomen.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime/hl7:value/hl7:low
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime/hl7:value/hl7:low"
         id="tmp-r-81b9095c-f528-4146-97a9-a50320f4cd4a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:availabiltyTime/hl7:value/hl7:high
Item: (generiekeQueryZorggegevens)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:applicationID
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:applicationID"
         id="tmp-r-b118be20-e161-4e77-a68e-97fee8266f9d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.6'])&gt;=1 and not(hl7:value[@root='2.16.840.1.113883.2.4.6.6']/@nullFlavor)">(generiekeQueryZorggegevens): element hl7:value[@root='2.16.840.1.113883.2.4.6.6'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="count(hl7:value[@root='2.16.840.1.113883.2.4.6.6'])&lt;=1">(generiekeQueryZorggegevens): element hl7:value[@root='2.16.840.1.113883.2.4.6.6'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.3
Context: /hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:applicationID/hl7:value[@root='2.16.840.1.113883.2.4.6.6']
Item: (generiekeQueryZorggegevens)
-->

   <rule context="/hl7:GQZG_IN000001NL/hl7:ControlActProcess/hl7:queryByParameter/hl7:applicationID/hl7:value[@root='2.16.840.1.113883.2.4.6.6']"
         id="tmp-r-c7f788d2-124d-4415-be69-c9365ddd77e9">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(generiekeQueryZorggegevens): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140716T120906/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.3-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.6'">(generiekeQueryZorggegevens): de waarde van @root MOET '2.16.840.1.113883.2.4.6.6' zijn.</assert>
   </rule>
</pattern>
